Cemu - Bug #48

Lego Dimensions causes Cemu to crash on startup
04/22/2019 01:20 AM - bloodshot

Status: Closed Start date: 04/21/2019
Priority: Normal

Assignee:

Category: Compatibility

API: GPU Vendor/Model:

Cemu Version:

Description

Version : 1.15.4b

Game : Lego Dimensions (w/ latest update)

Bug : Cemu crashes during lego dimension startup
Steps to reproduce :

1. Start Lego Dimensions
2. Lego dimension logo screen appears
3. Cemu crashes (application exits)

Wii U Tests :
Here are some tests | did on my Wii U

The first test shows game response with a new wii u profile.

Launched Lego Dimensions game.
Lego dimension logo screen appears
Lego Dimension Toypad lights up
The following error code is displayed

Error Code:124-0221
Before you can make purchases or add funds directly from a software title, you must start Nintendo eShop at least once.

Nintendo eShop can be started from the Wii U Menu or HOME Menu.

The second test shows the game response with a wii u profile that has launched eShop once.

¢ Launched Lego Dimensions game.

¢ Lego dimension logo screen appears
¢ Lego Dimension Toypad lights up

e Game continues to boot

Additional Information:

Considering the information in Test 1, | suspect that Cemu crashes when the game attempts to detect the lego dimensions toypad. |
went ahead and discovered a user on github that reverse engineered the lego dimensions protocol. The following links should assist
Cemu in communicating with the lego dimensions toypad :

1. https://github.com/woodenphone/lego_dimensions_protocol
2. https://www.ev3dev.org/docs/tutorials/using-lego-dimensions-toy-pad/

| tested the protocol on my Windows 10 machine and was able to communicate with the toypad using the supplied python test files.

If Cemu does not have a lego dimension toypad and or/game to test with, | can supply a brand new Wii U Lego Dimensions starter
pack that includes it.

If you require any additional information and/or testing, please let me know.

History

#1 - 04/22/2019 01:27 AM - bloodshot
https://github.com/woodenphone/lego_dimensions_protocol
https://www.ev3dev.org/docs/tutorials/using-lego-dimensions-toy-pad/

- File log.txt added

Attached is the log.txt file generated with Input API debug enabled.

#2 - 04/22/2019 04:35 AM - bloodshot

Upon further testing, | discovered a cemu build that loads Lego Dimensions perfectly. Here is a list of Cemu builds starting from 1.11.2 which worked
upto 1.15.4

1.11.2 - WORKS

1.11.3 - WORKS

1.11.4 - Instant crash after start

1.11.5 - Same result as 1.11.4

1.11.6 - Same result as 1.11.4

1.12.0 - Same result as 1.11.4

1.12.1 - Same result as 1.11.4

1.12.2 - Same result as 1.11.4

1.13.0 - Same result as 1.11.4

1.13.1 - Same result as 1.11.4

1.13.2 - Same result as 1.11.4

1.14.0 - Same result as 1.11.4 but a windows debug window labeled "Wii U Emulator" appears.
1.15.0 - Same result as 1.14.0

1.15.1 - Same result as 1.14.0

1.15.2 - Same result as 1.14.0

1.15.3 - Initial lego screen appears then game crashes
1.15.4 - Same result as 1.15.3

It appears the regression started with Cemu build 1.11.4. Using build 1.11.2 or 1.11.3 works perfectly.

#3 - 04/22/2019 05:38 AM - bloodshot

| forgot to mention that 1.11.2 and 1.11.3 load the game perfectly but the toypad issue still persists as it is not detected. After reviewing changelogs, it
appears 1.12.1 added USB support for it but due to the regression in 1.11.4, | am unable to test.

#4 - 04/22/2019 12:09 PM - bloodshot

Issue is still present in 1.15.5b patreon build.

#5 - 04/22/2019 02:52 PM - bloodshot
- File crashlog.txt added

Attached crashlog.txt generated with regression build Cemu 1.11.4
#6 - 04/24/2019 01:12 PM - bloodshot
After further testing, both theboy181 and | discovered that ALL LEGO games except (Undercover and Batman) broke with Cemu 1.11.4 update. When

testing on 1.11.3, everything works fine.

#7 - 05/05/2019 02:14 PM - bloodshot

| can confirm this issue has been resolved in 1.15.6.

#8 - 05/10/2019 04:38 AM - Exzap

- Status changed from New to Closed

Files
log.txt 6.25 KB 04/22/2019 bloodshot
crashlog.txt 3.2 KB 04/22/2019 bloodshot
